# WOK
TKWOK
WOKNT

# WOKNT_Array1OfRegExp Class Reference

`#include <WOKNT_Array1OfRegExp.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_Array1OfRegExp (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WOKNT_Array1OfRegExp (const Handle(WOKNT_RegExp)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(WOKNT_RegExp)&V)
Standard_EXPORT void | Destroy ()
| ~WOKNT_Array1OfRegExp ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const WOKNT_Array1OfRegExp & | Assign (const WOKNT_Array1OfRegExp &Other)
const WOKNT_Array1OfRegExp & | operator= (const WOKNT_Array1OfRegExp &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(WOKNT_RegExp)&Value)
const Handle_WOKNT_RegExp & | Value (const Standard_Integer Index) const
const Handle_WOKNT_RegExp & | operator() (const Standard_Integer Index) const
Handle_WOKNT_RegExp & | ChangeValue (const Standard_Integer Index)
Handle_WOKNT_RegExp & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | WOKNT_Array1OfRegExp (const WOKNT_Array1OfRegExp &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_Array1OfRegExp::WOKNT_Array1OfRegExp | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WOKNT_Array1OfRegExp::WOKNT_Array1OfRegExp | ( | const Handle(WOKNT_RegExp)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

WOKNT_Array1OfRegExp::~WOKNT_Array1OfRegExp | ( |  | ) | `[inline]`

Standard_EXPORT WOKNT_Array1OfRegExp::WOKNT_Array1OfRegExp | ( | const WOKNT_Array1OfRegExp & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WOKNT_Array1OfRegExp& WOKNT_Array1OfRegExp::Assign | ( | const WOKNT_Array1OfRegExp & | Other | ) |

Handle_WOKNT_RegExp& WOKNT_Array1OfRegExp::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void WOKNT_Array1OfRegExp::Destroy | ( |  | ) |

Standard_EXPORT void WOKNT_Array1OfRegExp::Init | ( | const Handle(WOKNT_RegExp)& | V | ) |

Standard_Boolean WOKNT_Array1OfRegExp::IsAllocated | ( |  | ) | const

Standard_Integer WOKNT_Array1OfRegExp::Length | ( |  | ) | const

Standard_Integer WOKNT_Array1OfRegExp::Lower | ( |  | ) | const

void WOKNT_Array1OfRegExp::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_Array1OfRegExp::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_Array1OfRegExp::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_WOKNT_RegExp& WOKNT_Array1OfRegExp::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_WOKNT_RegExp& WOKNT_Array1OfRegExp::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const WOKNT_Array1OfRegExp& WOKNT_Array1OfRegExp::operator= | ( | const WOKNT_Array1OfRegExp & | Other | ) | `[inline]`

void WOKNT_Array1OfRegExp::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(WOKNT_RegExp)& | Value
| ) |

Standard_Integer WOKNT_Array1OfRegExp::Upper | ( |  | ) | const

const Handle_WOKNT_RegExp& WOKNT_Array1OfRegExp::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean WOKNT_Array1OfRegExp::isAllocated `[private]`

Standard_Integer WOKNT_Array1OfRegExp::myLowerBound `[private]`

Standard_Address WOKNT_Array1OfRegExp::myStart `[private]`

Standard_Integer WOKNT_Array1OfRegExp::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- WOKNT_Array1OfRegExp.hxx